View Issue Details

IDProjectCategoryView StatusLast Update
0000090PluginsTemporary panelpublic2009-10-26 21:46
ReporterCDKAssigned Tochupakabra 
PrioritynormalSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version2.0 
Summary0000090: TmpPanel - работа со списком с неполными путями
DescriptionНужно изменить алгоритм чтения листинга, подставляя туда полные пути (если они не полные) при отключенной опции "Any elements in panel".

Есть каталог Folder. Делаем список его содержимого в list.tmp с неполными путями:
Folder\file1
Folder\file2
Folder\file3
...
Folder\fileN
Список кладем рядом с каталогом. Затем выполняем tmp:list.tmp
Соответственно файлы на панель попадают ( FileExists("Folder\fileX") = True ), НО с неполными путями (as is).
Если теперь запустить процесс копирования, оставаясь на ".." - то он пойдет, а вот если переместиться - то нет - текущим каталогом станет Folder, но без полного пути, т.е. что-то абстрактное.
TagsNo tags attached.

Relationships

has duplicate 0001089 closed Не работает с относительными путями в файле-списке 

Activities

chupakabra

2009-10-23 23:40

developer   bugnote:0004329

В Unicode версии должно работать.

Issue History

Date Modified Username Field Change
2006-02-13 04:36 CDK New Issue
2009-10-23 14:54 alexy Relationship added has duplicate 0001089
2009-10-23 23:40 chupakabra Note Added: 0004329
2009-10-26 21:45 alexy Assigned To => chupakabra
2009-10-26 21:45 alexy Status new => resolved
2009-10-26 21:46 alexy Status resolved => closed
2009-10-26 21:46 alexy Fixed in Version => 2.0
2009-10-26 21:46 alexy Resolution open => fixed